package com.cocos.aidl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import android.hardware.HardwareBuffer;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.ParcelFileDescriptor;
import android.os.RemoteException;
import com.cocos.aidl.ICocosRemoteRenderCallback;

public abstract class Stub extends Binder implements ICocosRemoteRenderCallback {
  private static final String DESCRIPTOR = "com.cocos.aidl.ICocosRemoteRenderCallback";
  
  static final int TRANSACTION_onUpdateHardwareBuffer = 1;
  
  static final int TRANSACTION_onUpdateEGLSync = 2;
  
  static final int TRANSACTION_onWaitClientFinishRender = 3;
  
  static final int TRANSACTION_onHeartBeatForRemoteRenderCallback = 4;
  
  static final int TRANSACTION_onReportError = 5;
  
  public Stub() {
    attachInterface((IInterface)this, "com.cocos.aidl.ICocosRemoteRenderCallback");
  }
  
  public static ICocosRemoteRenderCallback asInterface(IBinder obj) {
    if (obj == null)
      return null; 
    IInterface iin = obj.queryLocalInterface("com.cocos.aidl.ICocosRemoteRenderCallback");
    if (iin != null && iin instanceof ICocosRemoteRenderCallback)
      return (ICocosRemoteRenderCallback)iin; 
    return (ICocosRemoteRenderCallback)new Proxy(obj);
  }
  
  public IBinder asBinder() {
    return (IBinder)this;
  }
  
  public boolean onTransact(int code, Parcel data, Parcel reply, int flags) throws RemoteException {
    HardwareBuffer hardwareBuffer;
    ParcelFileDescriptor parcelFileDescriptor;
    String _arg0, descriptor = "com.cocos.aidl.ICocosRemoteRenderCallback";
    switch (code) {
      case 1598968902:
        reply.writeString(descriptor);
        return true;
      case 1:
        data.enforceInterface(descriptor);
        if (0 != data.readInt()) {
          hardwareBuffer = (HardwareBuffer)HardwareBuffer.CREATOR.createFromParcel(data);
        } else {
          hardwareBuffer = null;
        } 
        onUpdateHardwareBuffer(hardwareBuffer);
        reply.writeNoException();
        return true;
      case 2:
        data.enforceInterface(descriptor);
        if (0 != data.readInt()) {
          parcelFileDescriptor = (ParcelFileDescriptor)ParcelFileDescriptor.CREATOR.createFromParcel(data);
        } else {
          parcelFileDescriptor = null;
        } 
        onUpdateEGLSync(parcelFileDescriptor);
        reply.writeNoException();
        return true;
      case 3:
        data.enforceInterface(descriptor);
        onWaitClientFinishRender();
        reply.writeNoException();
        return true;
      case 4:
        data.enforceInterface(descriptor);
        onHeartBeatForRemoteRenderCallback();
        reply.writeNoException();
        return true;
      case 5:
        data.enforceInterface(descriptor);
        _arg0 = data.readString();
        onReportError(_arg0);
        reply.writeNoException();
        return true;
    } 
    return super.onTransact(code, data, reply, flags);
  }
  
  public static boolean setDefaultImpl(ICocosRemoteRenderCallback impl) {
    if (Proxy.sDefaultImpl != null)
      throw new IllegalStateException("setDefaultImpl() called twice"); 
    if (impl != null) {
      Proxy.sDefaultImpl = impl;
      return true;
    } 
    return false;
  }
  
  public static ICocosRemoteRenderCallback getDefaultImpl() {
    return Proxy.sDefaultImpl;
  }
}
